import {getParent} from "../../../common/js/Helpers";

let checkout = null;

function _checkIfWeDealWithTheCorrectTrigger(e) {
    if (!e?.detail?.field) {
        return false;
    }

    let paymentBody = getParent(e.detail.field, '.payment-container').querySelector('#payment-form-braintree');

    if (!paymentBody) {
        return false;
    }

    return true;
}

document.addEventListener('DOMContentLoaded', () => {

    let braintreeForm = document.getElementById('payment-form-braintree');

    document.addEventListener('eventgallery.payment.selected', (e)=> {
        if (!_checkIfWeDealWithTheCorrectTrigger(e)) return;

        if (checkout == null) {
            let clientToken = braintreeForm.getAttribute('data-token');

            jQuery('input[name=paymentid]').attr('disabled', 'disabled');
            braintree.setup(clientToken, "dropin", {
                container: "payment-form-braintree",
                onReady: function (integration) {
                    checkout = integration;
                    jQuery('input[name=paymentid]').removeAttr('disabled');
                }
            });
        }
    });

    document.addEventListener('eventgallery.payment.unselected', (e)=> {
        if (!_checkIfWeDealWithTheCorrectTrigger(e)) return;

        if (checkout !== null) {
            checkout.teardown(function () {
                checkout = null;
            });
        }
    });

});
